using System;
using System.Collections.Generic;
using BuecherwurmAPI.Models;

namespace BuecherwurmAPI.Data
{
    public class MockLendRepo : ILendRepo
    {
        public IEnumerable<Lend> GetAllLends()
        {
            var lends = new List<Lend>
            {
                new Lend{Id = 1, Customer = "Nek0", ItemId = 1337, Returned = false, ReturnDate = DateTime.Now},
                new Lend{Id = 2, Customer = "Shrubbery", ItemId = 1975, Returned = false, ReturnDate = DateTime.Now},
                new Lend{Id = 3, Customer = "Felix", ItemId = 42, Returned = true, ReturnDate = DateTime.Now}
            };

            return lends;
        }

        public Lend GetLendById(int id)
        {
            return new Lend{Id = 1, Customer = "Nek0", ItemId = 1337, Returned = false, ReturnDate = DateTime.Now};
        }
    }
}